Subject: Re: [PATCH v2] can: rcar_canfd: Add Renesas R-Car CAN FD driver

From: Oliver Hartkopp <[email-masked]>
Date: Sat, 12 Mar 2016 19:49:22 +0100

Hi Ramesh,

On 03/11/2016 08:14 AM, Ramesh Shanmugasundaram wrote:

> As we are fixing this issue in CAN dev.c, I'll remove this check in ndo_open and set CAN_CTRLMODE_FD flag in ctrlmode & remove the flag in ctrlmode_supported in the next v3 version of the patch.

I posted a V2 version of that fix some minutes ago.
It also adds some documentation and a new variable ctrlmode_static which 
makes it clear how to specify static/fixed control modes.

Please use the new can_set_static_ctrlmode() helper as suggested in the 
changes for m_can.c.

A feedback is welcome whether this new fix fits your expectations.

> Are there any further comments on v2 patch please?

Besides the stuff I wrote above: No :-)

Best regards,
Oliver